Package org.apache.sling.feature.maven.mojos.reports

# Interface Reporter

All Known Implementing Classes:
  `ContentsReporter`, `DuplicatesReporter`, `ExportPackagesReporter`, `ImportPackagesReporter`, `ScriptsImportPackagesReporter`

public interface Reporter

## Method Summary

Modifier and Type
Method
Description
`void`
`generateReport(ReportContext ctx)`
`String`
`getName()`

## Method Details

### getName

String getName()

### generateReport

void generateReport(ReportContext ctx) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`